var supportType = [
    {
        "key": ".html",
        "value": "text/html"
    },
    {
        "key": ".htm",
        "value": "text/html"
    },
    {
        "key": ".js",
        "value": "application/javascript"
    },
    {
        "key": ".json",
        "value": "application/json"
    },
    {
        "key": ".css",
        "value": "text/css"
    },
    {
        "key": ".ttf",
        "value": "font/ttf"
    },
    {
        "key": ".woff",
        "value": "application/font-woff"
    },
    {
        "key": ".eot",
        "value": "application/vnd.ms-fontobject"
    },
    {
        "key": ".jpg",
        "value": "image/jpeg"
    },
    {
        "key": ".jpeg",
        "value": "image/jpeg"
    },
    {
        "key": ".png",
        "value": "image/png"
    },
    {
        "key": ".gif",
        "value": "image/gif"
    },
    {
        "key": ".webp",
        "value": "image/webp"
    },
    {
        "key": ".bmp",
        "value": "image/bmp"
    },
    {
        "key": ".svg",
        "value": "image/svg+xml"
    },


    // {
    //     "key": ".avi",
    //     "value": "video/x-msvideo"
    // },
    // {
    //     "key": ".mpg",
    //     "value": "video/mpeg"
    // },
    // {
    //     "key": ".mpeg",
    //     "value": "video/mpeg"
    // },
    // {
    //     "key": ".rmvb",
    //     "value": "application/vnd.rn-realmedia-vbr"
    // },
    // {
    //     "key": ".mov",
    //     "value": "video/quicktime"
    // },
    // {
    //     "key": ".avi",
    //     "value": "video/x-msvideo"
    // },
    // {
    //     "key": ".rm",
    //     "value": "application/vnd.rn-realmedia"
    // },
    // {
    //     "key": ".mp4",
    //     "value": "video/mp4"
    // },
    // {
    //     "key": ".flv",
    //     "value": "video/x-flv"
    // },
    // {
    //     "key": ".m3u8",
    //     "value": "application/vnd.apple.mpegurl"
    // },
    // {
    //     "key": ".mp3",
    //     "value": "audio/mpeg"
    // },
    // {
    //     "key": ".wav",
    //     "value": "audio/wave"
    // },
    // {
    //     "key": ".ogg",
    //     "value": "audio/ogg"
    // },
    // {
    //     "key": ".swf",
    //     "value": "application/x-shockwave-flash"
    // },
];


module.exports = function (ext) {
    return supportType.find((item) => {
        return item.key === ext;
    })
}