// const {add: upload} = require('easeftp/upload');
const {addFile, addContent} = require('../upload');
const {username, password} = require('./config');
const path = require('path');
const fs = require('fs');
// const str2rs = require('string-to-stream');
// const stream = require('stream');

// upload('{,!(node_modules)/**/}!(upload).js',{
// upload('{,!(node_modules)/**/}!(upload|config).js', {

var uploadFile = function () {
    addFile(['**/*.jpg'], {
        // addFile(['app-1.js'], {
        username: username,
        password: password,
        debug: true,
        path: 'f2e/test/0528',
        cwd: './test/0525',
        // exclude: ['*.css'],
        // notPostLog: true,
        includeHtml: true,
        retryTimes:0
        // fileName(filePath) {
        //     return path.basename(filePath).replace('app', '666');
        // }
    }).then(({urls, details}) => {
        console.log('urls', urls);
        console.log(details);
    }, ({details}) => {
        console.log(details);
    })
}

uploadFile();


var uploadContent = function () {


    addContent('9991;', 'addcontent0529.css', {
        username, password,
        path: 'f2e/test',
        debug: true,
        notPostLog: true,
        // md5: '43379278416addef2ceafaa1de842103'
    }).then(
        (data) => console.log(data),
        (data) => console.log(data)
    )
};

// uploadContent();


var uploadFont = function () {
    addFile('**/*.js', {
        username: username,
        password: password,
        path: 'frontend/worldcup/fonts',
        // cwd: './dist/font',
        debug: true,
        // retryTimes:2
    }).then(
        ({urls}) => {
            console.log(urls);
        },
        ({details}) => {
            console.log(details);
        }
    )
};

// uploadFont();


function logJson() {
    const mime = require('mime-types')

    var fileList = [
        '.html',
        '.htm',
        '.js',
        '.json',
        '.css',
        '.ttf',
        '.woff',
        '.eot',
        '.jpg',
        '.jpeg',
        '.png',
        '.gif',
        '.webp',
        '.bmp',
        '.swf',
        '.svg',
        '.avi',
        '.mpg',
        '.mpeg',
        '.rmvb',
        '.mov',
        '.avi',
        '.rm',
        '.mp4',
        '.flv',
        '.m3u8',
        '.mp3',
        '.wav',
        '.ogg'
    ];

    var result = fileList.map((ext) => {
        return {key: ext, value: mime.lookup(ext)}//[ext, mime.lookup(ext)]
    });

    console.log(JSON.stringify(result));
}

// logJson();
